import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::AccessAnalyzer::Analyzer type specifies an analyzer of the user's account
 */
export declare function getAnalyzer(args: GetAnalyzerArgs, opts?: pulumi.InvokeOptions): Promise<GetAnalyzerResult>;
export interface GetAnalyzerArgs {
    /**
     * Amazon Resource Name (ARN) of the analyzer
     */
    arn: string;
}
export interface GetAnalyzerResult {
    /**
     * The configuration for the analyzer
     */
    readonly analyzerConfiguration?: outputs.accessanalyzer.AnalyzerConfigurationProperties;
    /**
     * Specifies the archive rules to add for the analyzer. Archive rules automatically archive findings that meet the criteria you define for the rule.
     */
    readonly archiveRules?: outputs.accessanalyzer.AnalyzerArchiveRule[];
    /**
     * Amazon Resource Name (ARN) of the analyzer
     */
    readonly arn?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * The AWS::AccessAnalyzer::Analyzer type specifies an analyzer of the user's account
 */
export declare function getAnalyzerOutput(args: GetAnalyzerOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAnalyzerResult>;
export interface GetAnalyzerOutputArgs {
    /**
     * Amazon Resource Name (ARN) of the analyzer
     */
    arn: pulumi.Input<string>;
}
