import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::AppStream::ApplicationEntitlementAssociation
 */
export declare class ApplicationEntitlementAssociation extends pulumi.CustomResource {
    /**
     * Get an existing ApplicationEntitlementAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): ApplicationEntitlementAssociation;
    /**
     * Returns true if the given object is an instance of ApplicationEntitlementAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is ApplicationEntitlementAssociation;
    /**
     * The identifier of the application.
     */
    readonly applicationIdentifier: pulumi.Output<string>;
    /**
     * The name of the entitlement.
     */
    readonly entitlementName: pulumi.Output<string>;
    /**
     * The name of the stack.
     */
    readonly stackName: pulumi.Output<string>;
    /**
     * Create a ApplicationEntitlementAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: ApplicationEntitlementAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a ApplicationEntitlementAssociation resource.
 */
export interface ApplicationEntitlementAssociationArgs {
    /**
     * The identifier of the application.
     */
    applicationIdentifier: pulumi.Input<string>;
    /**
     * The name of the entitlement.
     */
    entitlementName: pulumi.Input<string>;
    /**
     * The name of the stack.
     */
    stackName: pulumi.Input<string>;
}
