import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type schema for AWS::Batch::ConsumableResource
 */
export declare function getConsumableResource(args: GetConsumableResourceArgs, opts?: pulumi.InvokeOptions): Promise<GetConsumableResourceResult>;
export interface GetConsumableResourceArgs {
    /**
     * The Amazon Resource Name (ARN) of the consumable resource.
     */
    consumableResourceArn: string;
}
export interface GetConsumableResourceResult {
    /**
     * Available Quantity of ConsumableResource.
     */
    readonly availableQuantity?: number;
    /**
     * The Amazon Resource Name (ARN) of the consumable resource.
     */
    readonly consumableResourceArn?: string;
    /**
     * The Unix timestamp (in milliseconds) for when the consumable resource was created.
     */
    readonly createdAt?: number;
    /**
     * In-use Quantity of ConsumableResource.
     */
    readonly inUseQuantity?: number;
    /**
     * Total Quantity of ConsumableResource.
     */
    readonly totalQuantity?: number;
}
/**
 * Resource Type schema for AWS::Batch::ConsumableResource
 */
export declare function getConsumableResourceOutput(args: GetConsumableResourceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetConsumableResourceResult>;
export interface GetConsumableResourceOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the consumable resource.
     */
    consumableResourceArn: pulumi.Input<string>;
}
