import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::CloudTrail::ResourcePolicy
 */
export declare function getResourcePolicy(args: GetResourcePolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetResourcePolicyResult>;
export interface GetResourcePolicyArgs {
    /**
     * The ARN of the AWS CloudTrail resource to which the policy applies.
     */
    resourceArn: string;
}
export interface GetResourcePolicyResult {
    /**
     * A policy document containing permissions to add to the specified resource. In IAM, you must provide policy documents in JSON format. However, in CloudFormation you can provide the policy in JSON or YAML format because CloudFormation converts YAML to JSON before submitting it to IAM.
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::CloudTrail::ResourcePolicy` for more information about the expected schema for this property.
     */
    readonly resourcePolicy?: any;
}
/**
 * Resource Type definition for AWS::CloudTrail::ResourcePolicy
 */
export declare function getResourcePolicyOutput(args: GetResourcePolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResourcePolicyResult>;
export interface GetResourcePolicyOutputArgs {
    /**
     * The ARN of the AWS CloudTrail resource to which the policy applies.
     */
    resourceArn: pulumi.Input<string>;
}
