"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApprovedOrigin = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::Connect::ApprovedOrigin
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const approvedOrigin = new aws_native.connect.ApprovedOrigin("approvedOrigin", {
 *     instanceId: "arn:aws:connect:region-name:aws-account-id:instance/instance-arn",
 *     origin: "https://aws.amazon.com",
 * });
 *
 * ```
 */
class ApprovedOrigin extends pulumi.CustomResource {
    /**
     * Get an existing ApprovedOrigin resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new ApprovedOrigin(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ApprovedOrigin.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ApprovedOrigin.__pulumiType;
    }
    /**
     * Create a ApprovedOrigin resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.instanceId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'instanceId'");
            }
            if ((!args || args.origin === undefined) && !opts.urn) {
                throw new Error("Missing required property 'origin'");
            }
            resourceInputs["instanceId"] = args ? args.instanceId : undefined;
            resourceInputs["origin"] = args ? args.origin : undefined;
        }
        else {
            resourceInputs["instanceId"] = undefined /*out*/;
            resourceInputs["origin"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["instanceId", "origin"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(ApprovedOrigin.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ApprovedOrigin = ApprovedOrigin;
/** @internal */
ApprovedOrigin.__pulumiType = 'aws-native:connect:ApprovedOrigin';
//# sourceMappingURL=approvedOrigin.js.map