import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Connect::UserHierarchyStructure
 */
export declare class UserHierarchyStructure extends pulumi.CustomResource {
    /**
     * Get an existing UserHierarchyStructure resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): UserHierarchyStructure;
    /**
     * Returns true if the given object is an instance of UserHierarchyStructure.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is UserHierarchyStructure;
    /**
     * The identifier of the Amazon Connect instance.
     */
    readonly instanceArn: pulumi.Output<string>;
    /**
     * Information about the hierarchy structure.
     */
    readonly userHierarchyStructure: pulumi.Output<outputs.connect.UserHierarchyStructureProperties | undefined>;
    /**
     * The identifier of the User Hierarchy Structure.
     */
    readonly userHierarchyStructureArn: pulumi.Output<string>;
    /**
     * Create a UserHierarchyStructure resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: UserHierarchyStructureArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a UserHierarchyStructure resource.
 */
export interface UserHierarchyStructureArgs {
    /**
     * The identifier of the Amazon Connect instance.
     */
    instanceArn: pulumi.Input<string>;
    /**
     * Information about the hierarchy structure.
     */
    userHierarchyStructure?: pulumi.Input<inputs.connect.UserHierarchyStructurePropertiesArgs>;
}
