import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * This resource schema represents the ResourceCollection resource in the Amazon DevOps Guru.
 */
export declare function getResourceCollection(args: GetResourceCollectionArgs, opts?: pulumi.InvokeOptions): Promise<GetResourceCollectionResult>;
export interface GetResourceCollectionArgs {
    /**
     * The type of ResourceCollection
     */
    resourceCollectionType: enums.devopsguru.ResourceCollectionType;
}
export interface GetResourceCollectionResult {
    /**
     * Information about a filter used to specify which AWS resources are analyzed for anomalous behavior by DevOps Guru.
     */
    readonly resourceCollectionFilter?: outputs.devopsguru.ResourceCollectionFilter;
    /**
     * The type of ResourceCollection
     */
    readonly resourceCollectionType?: enums.devopsguru.ResourceCollectionType;
}
/**
 * This resource schema represents the ResourceCollection resource in the Amazon DevOps Guru.
 */
export declare function getResourceCollectionOutput(args: GetResourceCollectionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResourceCollectionResult>;
export interface GetResourceCollectionOutputArgs {
    /**
     * The type of ResourceCollection
     */
    resourceCollectionType: pulumi.Input<enums.devopsguru.ResourceCollectionType>;
}
