import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for Local Gateway Route which describes a route for a local gateway route table.
 */
export declare function getLocalGatewayRoute(args: GetLocalGatewayRouteArgs, opts?: pulumi.InvokeOptions): Promise<GetLocalGatewayRouteResult>;
export interface GetLocalGatewayRouteArgs {
    /**
     * The CIDR block used for destination matches.
     */
    destinationCidrBlock: string;
    /**
     * The ID of the local gateway route table.
     */
    localGatewayRouteTableId: string;
}
export interface GetLocalGatewayRouteResult {
    /**
     * The ID of the virtual interface group.
     */
    readonly localGatewayVirtualInterfaceGroupId?: string;
    /**
     * The ID of the network interface.
     */
    readonly networkInterfaceId?: string;
    /**
     * The state of the route.
     */
    readonly state?: string;
    /**
     * The route type.
     */
    readonly type?: string;
}
/**
 * Resource Type definition for Local Gateway Route which describes a route for a local gateway route table.
 */
export declare function getLocalGatewayRouteOutput(args: GetLocalGatewayRouteOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLocalGatewayRouteResult>;
export interface GetLocalGatewayRouteOutputArgs {
    /**
     * The CIDR block used for destination matches.
     */
    destinationCidrBlock: pulumi.Input<string>;
    /**
     * The ID of the local gateway route table.
     */
    localGatewayRouteTableId: pulumi.Input<string>;
}
