import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::EC2::VPCCidrBlock
 */
export declare function getVpcCidrBlock(args: GetVpcCidrBlockArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcCidrBlockResult>;
export interface GetVpcCidrBlockArgs {
    /**
     * The Id of the VPC associated CIDR Block.
     */
    id: string;
    /**
     * The ID of the VPC.
     */
    vpcId: string;
}
export interface GetVpcCidrBlockResult {
    /**
     * The Id of the VPC associated CIDR Block.
     */
    readonly id?: string;
    /**
     * The IP Source of an IPv6 VPC CIDR Block.
     */
    readonly ipSource?: string;
    /**
     * The value denoting whether an IPv6 VPC CIDR Block is public or private.
     */
    readonly ipv6AddressAttribute?: string;
}
/**
 * Resource Type definition for AWS::EC2::VPCCidrBlock
 */
export declare function getVpcCidrBlockOutput(args: GetVpcCidrBlockOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcCidrBlockResult>;
export interface GetVpcCidrBlockOutputArgs {
    /**
     * The Id of the VPC associated CIDR Block.
     */
    id: pulumi.Input<string>;
    /**
     * The ID of the VPC.
     */
    vpcId: pulumi.Input<string>;
}
