import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Schema for AWS::EKS::Addon
 */
export declare function getAddon(args: GetAddonArgs, opts?: pulumi.InvokeOptions): Promise<GetAddonResult>;
export interface GetAddonArgs {
    /**
     * Name of Addon
     */
    addonName: string;
    /**
     * Name of Cluster
     */
    clusterName: string;
}
export interface GetAddonResult {
    /**
     * Version of Addon
     */
    readonly addonVersion?: string;
    /**
     * Amazon Resource Name (ARN) of the add-on
     */
    readonly arn?: string;
    /**
     * The configuration values to use with the add-on
     */
    readonly configurationValues?: string;
    /**
     * IAM role to bind to the add-on's service account
     */
    readonly serviceAccountRoleArn?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Schema for AWS::EKS::Addon
 */
export declare function getAddonOutput(args: GetAddonOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAddonResult>;
export interface GetAddonOutputArgs {
    /**
     * Name of Addon
     */
    addonName: pulumi.Input<string>;
    /**
     * Name of Cluster
     */
    clusterName: pulumi.Input<string>;
}
