import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::ElasticLoadBalancingV2::TrustStoreRevocation
 */
export declare function getTrustStoreRevocation(args: GetTrustStoreRevocationArgs, opts?: pulumi.InvokeOptions): Promise<GetTrustStoreRevocationResult>;
export interface GetTrustStoreRevocationArgs {
    /**
     * The ID associated with the revocation.
     */
    revocationId: number;
    /**
     * The Amazon Resource Name (ARN) of the trust store.
     */
    trustStoreArn: string;
}
export interface GetTrustStoreRevocationResult {
    /**
     * The ID associated with the revocation.
     */
    readonly revocationId?: number;
    /**
     * The data associated with a trust store revocation
     */
    readonly trustStoreRevocations?: outputs.elasticloadbalancingv2.TrustStoreRevocation[];
}
/**
 * Resource Type definition for AWS::ElasticLoadBalancingV2::TrustStoreRevocation
 */
export declare function getTrustStoreRevocationOutput(args: GetTrustStoreRevocationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTrustStoreRevocationResult>;
export interface GetTrustStoreRevocationOutputArgs {
    /**
     * The ID associated with the revocation.
     */
    revocationId: pulumi.Input<number>;
    /**
     * The Amazon Resource Name (ARN) of the trust store.
     */
    trustStoreArn: pulumi.Input<string>;
}
