"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Alias = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * The AWS::GameLift::Alias resource creates an alias for an Amazon GameLift (GameLift) fleet destination.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const aliasResource = new aws_native.gamelift.Alias("aliasResource", {
 *     name: "MyTerminalAlias",
 *     description: "A terminal alias",
 *     routingStrategy: {
 *         type: aws_native.gamelift.AliasRoutingStrategyType.Terminal,
 *         message: "Terminal routing strategy message",
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const aliasResource = new aws_native.gamelift.Alias("aliasResource", {
 *     name: "MyTerminalAlias",
 *     description: "A terminal alias",
 *     routingStrategy: {
 *         type: aws_native.gamelift.AliasRoutingStrategyType.Terminal,
 *         message: "Terminal routing strategy message",
 *     },
 * });
 *
 * ```
 */
class Alias extends pulumi.CustomResource {
    /**
     * Get an existing Alias resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Alias(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Alias.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Alias.__pulumiType;
    }
    /**
     * Create a Alias resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.routingStrategy === undefined) && !opts.urn) {
                throw new Error("Missing required property 'routingStrategy'");
            }
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["routingStrategy"] = args ? args.routingStrategy : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["aliasArn"] = undefined /*out*/;
            resourceInputs["aliasId"] = undefined /*out*/;
        }
        else {
            resourceInputs["aliasArn"] = undefined /*out*/;
            resourceInputs["aliasId"] = undefined /*out*/;
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["routingStrategy"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(Alias.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Alias = Alias;
/** @internal */
Alias.__pulumiType = 'aws-native:gamelift:Alias';
//# sourceMappingURL=alias.js.map