"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceLinkedRole = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::IAM::ServiceLinkedRole
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const basicSLR = new aws_native.iam.ServiceLinkedRole("basicSLR", {
 *     awsServiceName: "autoscaling.amazonaws.com",
 *     description: "Test SLR description",
 *     customSuffix: "TestSuffix",
 * });
 * export const slrId = basicSLR.id;
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const basicSLR = new aws_native.iam.ServiceLinkedRole("basicSLR", {
 *     awsServiceName: "autoscaling.amazonaws.com",
 *     description: "Test SLR description",
 *     customSuffix: "TestSuffix",
 * });
 * export const slrId = basicSLR.id;
 *
 * ```
 */
class ServiceLinkedRole extends pulumi.CustomResource {
    /**
     * Get an existing ServiceLinkedRole resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new ServiceLinkedRole(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ServiceLinkedRole.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ServiceLinkedRole.__pulumiType;
    }
    /**
     * Create a ServiceLinkedRole resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            resourceInputs["awsServiceName"] = args ? args.awsServiceName : undefined;
            resourceInputs["customSuffix"] = args ? args.customSuffix : undefined;
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["roleName"] = undefined /*out*/;
        }
        else {
            resourceInputs["awsServiceName"] = undefined /*out*/;
            resourceInputs["customSuffix"] = undefined /*out*/;
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["roleName"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["awsServiceName", "customSuffix"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(ServiceLinkedRole.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ServiceLinkedRole = ServiceLinkedRole;
/** @internal */
ServiceLinkedRole.__pulumiType = 'aws-native:iam:ServiceLinkedRole';
//# sourceMappingURL=serviceLinkedRole.js.map