export { CidrArgs, CidrResult, CidrOutputArgs } from "./cidr";
export declare const cidr: typeof import("./cidr").cidr;
export declare const cidrOutput: typeof import("./cidr").cidrOutput;
export { ExtensionResourceArgs } from "./extensionResource";
export type ExtensionResource = import("./extensionResource").ExtensionResource;
export declare const ExtensionResource: typeof import("./extensionResource").ExtensionResource;
export { GetAccountIdResult } from "./getAccountId";
export declare const getAccountId: typeof import("./getAccountId").getAccountId;
export declare const getAccountIdOutput: typeof import("./getAccountId").getAccountIdOutput;
export { GetAzsArgs, GetAzsResult, GetAzsOutputArgs } from "./getAzs";
export declare const getAzs: typeof import("./getAzs").getAzs;
export declare const getAzsOutput: typeof import("./getAzs").getAzsOutput;
export { GetPartitionResult } from "./getPartition";
export declare const getPartition: typeof import("./getPartition").getPartition;
export declare const getPartitionOutput: typeof import("./getPartition").getPartitionOutput;
export { GetRegionResult } from "./getRegion";
export declare const getRegion: typeof import("./getRegion").getRegion;
export declare const getRegionOutput: typeof import("./getRegion").getRegionOutput;
export { GetSsmParameterListArgs, GetSsmParameterListResult, GetSsmParameterListOutputArgs } from "./getSsmParameterList";
export declare const getSsmParameterList: typeof import("./getSsmParameterList").getSsmParameterList;
export declare const getSsmParameterListOutput: typeof import("./getSsmParameterList").getSsmParameterListOutput;
export { GetSsmParameterStringArgs, GetSsmParameterStringResult, GetSsmParameterStringOutputArgs } from "./getSsmParameterString";
export declare const getSsmParameterString: typeof import("./getSsmParameterString").getSsmParameterString;
export declare const getSsmParameterStringOutput: typeof import("./getSsmParameterString").getSsmParameterStringOutput;
export { GetUrlSuffixResult } from "./getUrlSuffix";
export declare const getUrlSuffix: typeof import("./getUrlSuffix").getUrlSuffix;
export declare const getUrlSuffixOutput: typeof import("./getUrlSuffix").getUrlSuffixOutput;
export { ImportValueArgs, ImportValueResult, ImportValueOutputArgs } from "./importValue";
export declare const importValue: typeof import("./importValue").importValue;
export declare const importValueOutput: typeof import("./importValue").importValueOutput;
export { ProviderArgs } from "./provider";
export type Provider = import("./provider").Provider;
export declare const Provider: typeof import("./provider").Provider;
export * from "./types/enums";
import * as accessanalyzer from "./accessanalyzer";
import * as acmpca from "./acmpca";
import * as amazonmq from "./amazonmq";
import * as amplify from "./amplify";
import * as amplifyuibuilder from "./amplifyuibuilder";
import * as apigateway from "./apigateway";
import * as apigatewayv2 from "./apigatewayv2";
import * as appconfig from "./appconfig";
import * as appflow from "./appflow";
import * as appintegrations from "./appintegrations";
import * as applicationautoscaling from "./applicationautoscaling";
import * as applicationinsights from "./applicationinsights";
import * as applicationsignals from "./applicationsignals";
import * as apprunner from "./apprunner";
import * as appstream from "./appstream";
import * as appsync from "./appsync";
import * as aps from "./aps";
import * as arczonalshift from "./arczonalshift";
import * as athena from "./athena";
import * as auditmanager from "./auditmanager";
import * as autoscaling from "./autoscaling";
import * as b2bi from "./b2bi";
import * as backup from "./backup";
import * as backupgateway from "./backupgateway";
import * as batch from "./batch";
import * as bedrock from "./bedrock";
import * as budgets from "./budgets";
import * as cassandra from "./cassandra";
import * as ce from "./ce";
import * as certificatemanager from "./certificatemanager";
import * as chatbot from "./chatbot";
import * as cleanrooms from "./cleanrooms";
import * as cleanroomsml from "./cleanroomsml";
import * as cloudformation from "./cloudformation";
import * as cloudfront from "./cloudfront";
import * as cloudtrail from "./cloudtrail";
import * as cloudwatch from "./cloudwatch";
import * as codeartifact from "./codeartifact";
import * as codebuild from "./codebuild";
import * as codeconnections from "./codeconnections";
import * as codedeploy from "./codedeploy";
import * as codeguruprofiler from "./codeguruprofiler";
import * as codegurureviewer from "./codegurureviewer";
import * as codepipeline from "./codepipeline";
import * as codestarconnections from "./codestarconnections";
import * as codestarnotifications from "./codestarnotifications";
import * as cognito from "./cognito";
import * as comprehend from "./comprehend";
import * as config from "./config";
import * as configuration from "./configuration";
import * as connect from "./connect";
import * as connectcampaigns from "./connectcampaigns";
import * as connectcampaignsv2 from "./connectcampaignsv2";
import * as controltower from "./controltower";
import * as customerprofiles from "./customerprofiles";
import * as databrew from "./databrew";
import * as datapipeline from "./datapipeline";
import * as datasync from "./datasync";
import * as datazone from "./datazone";
import * as deadline from "./deadline";
import * as detective from "./detective";
import * as devicefarm from "./devicefarm";
import * as devopsguru from "./devopsguru";
import * as directoryservice from "./directoryservice";
import * as dms from "./dms";
import * as docdbelastic from "./docdbelastic";
import * as dynamodb from "./dynamodb";
import * as ec2 from "./ec2";
import * as ecr from "./ecr";
import * as ecs from "./ecs";
import * as efs from "./efs";
import * as eks from "./eks";
import * as elasticache from "./elasticache";
import * as elasticbeanstalk from "./elasticbeanstalk";
import * as elasticloadbalancingv2 from "./elasticloadbalancingv2";
import * as emr from "./emr";
import * as emrcontainers from "./emrcontainers";
import * as emrserverless from "./emrserverless";
import * as entityresolution from "./entityresolution";
import * as events from "./events";
import * as eventschemas from "./eventschemas";
import * as evidently from "./evidently";
import * as finspace from "./finspace";
import * as fis from "./fis";
import * as fms from "./fms";
import * as forecast from "./forecast";
import * as frauddetector from "./frauddetector";
import * as fsx from "./fsx";
import * as gamelift from "./gamelift";
import * as gameliftstreams from "./gameliftstreams";
import * as globalaccelerator from "./globalaccelerator";
import * as glue from "./glue";
import * as grafana from "./grafana";
import * as greengrassv2 from "./greengrassv2";
import * as groundstation from "./groundstation";
import * as guardduty from "./guardduty";
import * as healthimaging from "./healthimaging";
import * as healthlake from "./healthlake";
import * as iam from "./iam";
import * as identitystore from "./identitystore";
import * as imagebuilder from "./imagebuilder";
import * as inspector from "./inspector";
import * as inspectorv2 from "./inspectorv2";
import * as internetmonitor from "./internetmonitor";
import * as invoicing from "./invoicing";
import * as iot from "./iot";
import * as iotanalytics from "./iotanalytics";
import * as iotcoredeviceadvisor from "./iotcoredeviceadvisor";
import * as iotevents from "./iotevents";
import * as iotfleethub from "./iotfleethub";
import * as iotsitewise from "./iotsitewise";
import * as iottwinmaker from "./iottwinmaker";
import * as iotwireless from "./iotwireless";
import * as ivs from "./ivs";
import * as ivschat from "./ivschat";
import * as kafkaconnect from "./kafkaconnect";
import * as kendra from "./kendra";
import * as kendraranking from "./kendraranking";
import * as kinesis from "./kinesis";
import * as kinesisanalyticsv2 from "./kinesisanalyticsv2";
import * as kinesisfirehose from "./kinesisfirehose";
import * as kinesisvideo from "./kinesisvideo";
import * as kms from "./kms";
import * as lakeformation from "./lakeformation";
import * as lambda from "./lambda";
import * as launchwizard from "./launchwizard";
import * as lex from "./lex";
import * as licensemanager from "./licensemanager";
import * as lightsail from "./lightsail";
import * as location from "./location";
import * as logs from "./logs";
import * as lookoutmetrics from "./lookoutmetrics";
import * as lookoutvision from "./lookoutvision";
import * as m2 from "./m2";
import * as macie from "./macie";
import * as mediaconnect from "./mediaconnect";
import * as medialive from "./medialive";
import * as mediapackage from "./mediapackage";
import * as mediapackagev2 from "./mediapackagev2";
import * as mediatailor from "./mediatailor";
import * as memorydb from "./memorydb";
import * as msk from "./msk";
import * as mwaa from "./mwaa";
import * as neptune from "./neptune";
import * as neptunegraph from "./neptunegraph";
import * as networkfirewall from "./networkfirewall";
import * as networkmanager from "./networkmanager";
import * as nimblestudio from "./nimblestudio";
import * as oam from "./oam";
import * as omics from "./omics";
import * as opensearchserverless from "./opensearchserverless";
import * as opensearchservice from "./opensearchservice";
import * as opsworkscm from "./opsworkscm";
import * as organizations from "./organizations";
import * as osis from "./osis";
import * as panorama from "./panorama";
import * as paymentcryptography from "./paymentcryptography";
import * as pcaconnectorad from "./pcaconnectorad";
import * as pcaconnectorscep from "./pcaconnectorscep";
import * as pcs from "./pcs";
import * as personalize from "./personalize";
import * as pinpoint from "./pinpoint";
import * as pipes from "./pipes";
import * as proton from "./proton";
import * as qbusiness from "./qbusiness";
import * as qldb from "./qldb";
import * as quicksight from "./quicksight";
import * as ram from "./ram";
import * as rbin from "./rbin";
import * as rds from "./rds";
import * as redshift from "./redshift";
import * as redshiftserverless from "./redshiftserverless";
import * as refactorspaces from "./refactorspaces";
import * as rekognition from "./rekognition";
import * as resiliencehub from "./resiliencehub";
import * as resourceexplorer2 from "./resourceexplorer2";
import * as resourcegroups from "./resourcegroups";
import * as robomaker from "./robomaker";
import * as rolesanywhere from "./rolesanywhere";
import * as route53 from "./route53";
import * as route53profiles from "./route53profiles";
import * as route53recoverycontrol from "./route53recoverycontrol";
import * as route53recoveryreadiness from "./route53recoveryreadiness";
import * as route53resolver from "./route53resolver";
import * as rum from "./rum";
import * as s3 from "./s3";
import * as s3express from "./s3express";
import * as s3objectlambda from "./s3objectlambda";
import * as s3outposts from "./s3outposts";
import * as s3tables from "./s3tables";
import * as sagemaker from "./sagemaker";
import * as scheduler from "./scheduler";
import * as secretsmanager from "./secretsmanager";
import * as securityhub from "./securityhub";
import * as securitylake from "./securitylake";
import * as servicecatalog from "./servicecatalog";
import * as servicecatalogappregistry from "./servicecatalogappregistry";
import * as ses from "./ses";
import * as shield from "./shield";
import * as signer from "./signer";
import * as simspaceweaver from "./simspaceweaver";
import * as sns from "./sns";
import * as sqs from "./sqs";
import * as ssm from "./ssm";
import * as ssmcontacts from "./ssmcontacts";
import * as ssmincidents from "./ssmincidents";
import * as ssmquicksetup from "./ssmquicksetup";
import * as sso from "./sso";
import * as stepfunctions from "./stepfunctions";
import * as supportapp from "./supportapp";
import * as synthetics from "./synthetics";
import * as systemsmanagersap from "./systemsmanagersap";
import * as timestream from "./timestream";
import * as transfer from "./transfer";
import * as types from "./types";
import * as verifiedpermissions from "./verifiedpermissions";
import * as voiceid from "./voiceid";
import * as vpclattice from "./vpclattice";
import * as wafv2 from "./wafv2";
import * as wisdom from "./wisdom";
import * as workspaces from "./workspaces";
import * as workspacesthinclient from "./workspacesthinclient";
import * as workspacesweb from "./workspacesweb";
import * as xray from "./xray";
export { accessanalyzer, acmpca, amazonmq, amplify, amplifyuibuilder, apigateway, apigatewayv2, appconfig, appflow, appintegrations, applicationautoscaling, applicationinsights, applicationsignals, apprunner, appstream, appsync, aps, arczonalshift, athena, auditmanager, autoscaling, b2bi, backup, backupgateway, batch, bedrock, budgets, cassandra, ce, certificatemanager, chatbot, cleanrooms, cleanroomsml, cloudformation, cloudfront, cloudtrail, cloudwatch, codeartifact, codebuild, codeconnections, codedeploy, codeguruprofiler, codegurureviewer, codepipeline, codestarconnections, codestarnotifications, cognito, comprehend, config, configuration, connect, connectcampaigns, connectcampaignsv2, controltower, customerprofiles, databrew, datapipeline, datasync, datazone, deadline, detective, devicefarm, devopsguru, directoryservice, dms, docdbelastic, dynamodb, ec2, ecr, ecs, efs, eks, elasticache, elasticbeanstalk, elasticloadbalancingv2, emr, emrcontainers, emrserverless, entityresolution, events, eventschemas, evidently, finspace, fis, fms, forecast, frauddetector, fsx, gamelift, gameliftstreams, globalaccelerator, glue, grafana, greengrassv2, groundstation, guardduty, healthimaging, healthlake, iam, identitystore, imagebuilder, inspector, inspectorv2, internetmonitor, invoicing, iot, iotanalytics, iotcoredeviceadvisor, iotevents, iotfleethub, iotsitewise, iottwinmaker, iotwireless, ivs, ivschat, kafkaconnect, kendra, kendraranking, kinesis, kinesisanalyticsv2, kinesisfirehose, kinesisvideo, kms, lakeformation, lambda, launchwizard, lex, licensemanager, lightsail, location, logs, lookoutmetrics, lookoutvision, m2, macie, mediaconnect, medialive, mediapackage, mediapackagev2, mediatailor, memorydb, msk, mwaa, neptune, neptunegraph, networkfirewall, networkmanager, nimblestudio, oam, omics, opensearchserverless, opensearchservice, opsworkscm, organizations, osis, panorama, paymentcryptography, pcaconnectorad, pcaconnectorscep, pcs, personalize, pinpoint, pipes, proton, qbusiness, qldb, quicksight, ram, rbin, rds, redshift, redshiftserverless, refactorspaces, rekognition, resiliencehub, resourceexplorer2, resourcegroups, robomaker, rolesanywhere, route53, route53profiles, route53recoverycontrol, route53recoveryreadiness, route53resolver, rum, s3, s3express, s3objectlambda, s3outposts, s3tables, sagemaker, scheduler, secretsmanager, securityhub, securitylake, servicecatalog, servicecatalogappregistry, ses, shield, signer, simspaceweaver, sns, sqs, ssm, ssmcontacts, ssmincidents, ssmquicksetup, sso, stepfunctions, supportapp, synthetics, systemsmanagersap, timestream, transfer, types, verifiedpermissions, voiceid, vpclattice, wafv2, wisdom, workspaces, workspacesthinclient, workspacesweb, xray, };
