"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.JobTemplate = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::IoT::JobTemplate. Job templates enable you to preconfigure jobs so that you can deploy them to multiple sets of target devices.
 */
class JobTemplate extends pulumi.CustomResource {
    /**
     * Get an existing JobTemplate resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new JobTemplate(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of JobTemplate.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === JobTemplate.__pulumiType;
    }
    /**
     * Create a JobTemplate resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.description === undefined) && !opts.urn) {
                throw new Error("Missing required property 'description'");
            }
            if ((!args || args.jobTemplateId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'jobTemplateId'");
            }
            resourceInputs["abortConfig"] = args ? args.abortConfig : undefined;
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["destinationPackageVersions"] = args ? args.destinationPackageVersions : undefined;
            resourceInputs["document"] = args ? args.document : undefined;
            resourceInputs["documentSource"] = args ? args.documentSource : undefined;
            resourceInputs["jobArn"] = args ? args.jobArn : undefined;
            resourceInputs["jobExecutionsRetryConfig"] = args ? args.jobExecutionsRetryConfig : undefined;
            resourceInputs["jobExecutionsRolloutConfig"] = args ? args.jobExecutionsRolloutConfig : undefined;
            resourceInputs["jobTemplateId"] = args ? args.jobTemplateId : undefined;
            resourceInputs["maintenanceWindows"] = args ? args.maintenanceWindows : undefined;
            resourceInputs["presignedUrlConfig"] = args ? args.presignedUrlConfig : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["timeoutConfig"] = args ? args.timeoutConfig : undefined;
            resourceInputs["arn"] = undefined /*out*/;
        }
        else {
            resourceInputs["abortConfig"] = undefined /*out*/;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["destinationPackageVersions"] = undefined /*out*/;
            resourceInputs["document"] = undefined /*out*/;
            resourceInputs["documentSource"] = undefined /*out*/;
            resourceInputs["jobArn"] = undefined /*out*/;
            resourceInputs["jobExecutionsRetryConfig"] = undefined /*out*/;
            resourceInputs["jobExecutionsRolloutConfig"] = undefined /*out*/;
            resourceInputs["jobTemplateId"] = undefined /*out*/;
            resourceInputs["maintenanceWindows"] = undefined /*out*/;
            resourceInputs["presignedUrlConfig"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["timeoutConfig"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["abortConfig", "description", "destinationPackageVersions[*]", "document", "documentSource", "jobArn", "jobExecutionsRetryConfig", "jobExecutionsRolloutConfig", "jobTemplateId", "maintenanceWindows[*]", "presignedUrlConfig", "tags[*]", "timeoutConfig"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(JobTemplate.__pulumiType, name, resourceInputs, opts);
    }
}
exports.JobTemplate = JobTemplate;
/** @internal */
JobTemplate.__pulumiType = 'aws-native:iot:JobTemplate';
//# sourceMappingURL=jobTemplate.js.map