import * as pulumi from "@pulumi/pulumi";
/**
 * Resource schema for AWS::IoTTwinMaker::SyncJob
 */
export declare function getSyncJob(args: GetSyncJobArgs, opts?: pulumi.InvokeOptions): Promise<GetSyncJobResult>;
export interface GetSyncJobArgs {
    /**
     * The source of the SyncJob.
     */
    syncSource: string;
    /**
     * The ID of the workspace.
     */
    workspaceId: string;
}
export interface GetSyncJobResult {
    /**
     * The ARN of the SyncJob.
     */
    readonly arn?: string;
    /**
     * The date and time when the sync job was created.
     */
    readonly creationDateTime?: string;
    /**
     * The state of SyncJob.
     */
    readonly state?: string;
    /**
     * The date and time when the sync job was updated.
     */
    readonly updateDateTime?: string;
}
/**
 * Resource schema for AWS::IoTTwinMaker::SyncJob
 */
export declare function getSyncJobOutput(args: GetSyncJobOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSyncJobResult>;
export interface GetSyncJobOutputArgs {
    /**
     * The source of the SyncJob.
     */
    syncSource: pulumi.Input<string>;
    /**
     * The ID of the workspace.
     */
    workspaceId: pulumi.Input<string>;
}
