import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::MediaConnect::BridgeOutput
 */
export declare function getBridgeOutputResource(args: GetBridgeOutputResourceArgs, opts?: pulumi.InvokeOptions): Promise<GetBridgeOutputResourceResult>;
export interface GetBridgeOutputResourceArgs {
    /**
     * The Amazon Resource Number (ARN) of the bridge.
     */
    bridgeArn: string;
    /**
     * The network output name.
     */
    name: string;
}
export interface GetBridgeOutputResourceResult {
    /**
     * The output of the bridge.
     */
    readonly networkOutput?: outputs.mediaconnect.BridgeOutputResourceBridgeNetworkOutput;
}
/**
 * Resource schema for AWS::MediaConnect::BridgeOutput
 */
export declare function getBridgeOutputResourceOutput(args: GetBridgeOutputResourceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBridgeOutputResourceResult>;
export interface GetBridgeOutputResourceOutputArgs {
    /**
     * The Amazon Resource Number (ARN) of the bridge.
     */
    bridgeArn: pulumi.Input<string>;
    /**
     * The network output name.
     */
    name: pulumi.Input<string>;
}
