import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * AWS::NetworkManager::VpcAttachment Resoruce Type
 */
export declare function getVpcAttachment(args: GetVpcAttachmentArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcAttachmentResult>;
export interface GetVpcAttachmentArgs {
    /**
     * Id of the attachment.
     */
    attachmentId: string;
}
export interface GetVpcAttachmentResult {
    /**
     * Id of the attachment.
     */
    readonly attachmentId?: string;
    /**
     * The policy rule number associated with the attachment.
     */
    readonly attachmentPolicyRuleNumber?: number;
    /**
     * Attachment type.
     */
    readonly attachmentType?: string;
    /**
     * The ARN of a core network for the VPC attachment.
     */
    readonly coreNetworkArn?: string;
    /**
     * Creation time of the attachment.
     */
    readonly createdAt?: string;
    /**
     * The Region where the edge is located.
     */
    readonly edgeLocation?: string;
    /**
     * The name of the network function group attachment.
     */
    readonly networkFunctionGroupName?: string;
    /**
     * Vpc options of the attachment.
     */
    readonly options?: outputs.networkmanager.VpcAttachmentVpcOptions;
    /**
     * Owner account of the attachment.
     */
    readonly ownerAccountId?: string;
    /**
     * The attachment to move from one network function group to another.
     */
    readonly proposedNetworkFunctionGroupChange?: outputs.networkmanager.VpcAttachmentProposedNetworkFunctionGroupChange;
    /**
     * The attachment to move from one segment to another.
     */
    readonly proposedSegmentChange?: outputs.networkmanager.VpcAttachmentProposedSegmentChange;
    /**
     * The ARN of the Resource.
     */
    readonly resourceArn?: string;
    /**
     * The name of the segment attachment..
     */
    readonly segmentName?: string;
    /**
     * State of the attachment.
     */
    readonly state?: string;
    /**
     * Subnet Arn list
     */
    readonly subnetArns?: string[];
    /**
     * Tags for the attachment.
     */
    readonly tags?: outputs.Tag[];
    /**
     * Last update time of the attachment.
     */
    readonly updatedAt?: string;
}
/**
 * AWS::NetworkManager::VpcAttachment Resoruce Type
 */
export declare function getVpcAttachmentOutput(args: GetVpcAttachmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcAttachmentResult>;
export interface GetVpcAttachmentOutputArgs {
    /**
     * Id of the attachment.
     */
    attachmentId: pulumi.Input<string>;
}
