import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Definition of AWS::Omics::VariantStore Resource Type
 */
export declare function getVariantStore(args: GetVariantStoreArgs, opts?: pulumi.InvokeOptions): Promise<GetVariantStoreResult>;
export interface GetVariantStoreArgs {
    /**
     * A name for the store.
     */
    name: string;
}
export interface GetVariantStoreResult {
    /**
     * When the store was created.
     */
    readonly creationTime?: string;
    /**
     * A description for the store.
     */
    readonly description?: string;
    /**
     * The store's ID.
     */
    readonly id?: string;
    /**
     * The store's status.
     */
    readonly status?: enums.omics.VariantStoreStoreStatus;
    /**
     * The store's status message.
     */
    readonly statusMessage?: string;
    /**
     * The store's ARN.
     */
    readonly storeArn?: string;
    /**
     * The store's size in bytes.
     */
    readonly storeSizeBytes?: number;
    /**
     * When the store was updated.
     */
    readonly updateTime?: string;
}
/**
 * Definition of AWS::Omics::VariantStore Resource Type
 */
export declare function getVariantStoreOutput(args: GetVariantStoreOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVariantStoreResult>;
export interface GetVariantStoreOutputArgs {
    /**
     * A name for the store.
     */
    name: pulumi.Input<string>;
}
