import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::SecurityHub::Insight resource represents the AWS Security Hub Insight in your account. An AWS Security Hub insight is a collection of related findings.
 */
export declare function getInsight(args: GetInsightArgs, opts?: pulumi.InvokeOptions): Promise<GetInsightResult>;
export interface GetInsightArgs {
    /**
     * The ARN of a Security Hub insight
     */
    insightArn: string;
}
export interface GetInsightResult {
    /**
     * One or more attributes used to filter the findings included in the insight
     */
    readonly filters?: outputs.securityhub.InsightAwsSecurityFindingFilters;
    /**
     * The grouping attribute for the insight's findings
     */
    readonly groupByAttribute?: string;
    /**
     * The ARN of a Security Hub insight
     */
    readonly insightArn?: string;
    /**
     * The name of a Security Hub insight
     */
    readonly name?: string;
}
/**
 * The AWS::SecurityHub::Insight resource represents the AWS Security Hub Insight in your account. An AWS Security Hub insight is a collection of related findings.
 */
export declare function getInsightOutput(args: GetInsightOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetInsightResult>;
export interface GetInsightOutputArgs {
    /**
     * The ARN of a Security Hub insight
     */
    insightArn: pulumi.Input<string>;
}
