import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::SecurityLake::SubscriberNotification
 */
export declare function getSubscriberNotification(args: GetSubscriberNotificationArgs, opts?: pulumi.InvokeOptions): Promise<GetSubscriberNotificationResult>;
export interface GetSubscriberNotificationArgs {
    /**
     * The ARN for the subscriber
     */
    subscriberArn: string;
}
export interface GetSubscriberNotificationResult {
    /**
     * Specify the configurations you want to use for subscriber notification. The subscriber is notified when new data is written to the data lake for sources that the subscriber consumes in Security Lake .
     */
    readonly notificationConfiguration?: outputs.securitylake.SubscriberNotificationNotificationConfiguration;
    /**
     * The endpoint the subscriber should listen to for notifications
     */
    readonly subscriberEndpoint?: string;
}
/**
 * Resource Type definition for AWS::SecurityLake::SubscriberNotification
 */
export declare function getSubscriberNotificationOutput(args: GetSubscriberNotificationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSubscriberNotificationResult>;
export interface GetSubscriberNotificationOutputArgs {
    /**
     * The ARN for the subscriber
     */
    subscriberArn: pulumi.Input<string>;
}
