"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Simulation = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * AWS::SimSpaceWeaver::Simulation resource creates an AWS Simulation.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myTestSimulation = new aws_native.simspaceweaver.Simulation("myTestSimulation", {
 *     name: "MyTestSimulation",
 *     roleArn: "arn:aws:iam::111122223333:role/my-test-simulation-app-role",
 *     schemaS3Location: {
 *         bucketName: "MyTestSimulationBucket",
 *         objectKey: "MyTestSimulation-schema.yaml",
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myTestSimulation = new aws_native.simspaceweaver.Simulation("myTestSimulation", {
 *     name: "MyTestSimulation",
 *     roleArn: "arn:aws:iam::111122223333:role/my-test-simulation-app-role",
 *     schemaS3Location: {
 *         bucketName: "MyTestSimulationBucket",
 *         objectKey: "MyTestSimulation-schema.yaml",
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myTestSimulation = new aws_native.simspaceweaver.Simulation("myTestSimulation", {
 *     name: "MyTestSimulation_22-12-15_12_00_00",
 *     roleArn: "arn:aws:iam::111122223333:role/weaver-MyTestSimulation-app-role",
 *     schemaS3Location: {
 *         bucketName: "weaver-mytestsimulation-111122223333-schemas-us-west-2",
 *         objectKey: "MyTestSimulation-schema.yaml",
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myTestSimulation = new aws_native.simspaceweaver.Simulation("myTestSimulation", {
 *     name: "MyTestSimulation_22-12-15_12_00_00",
 *     roleArn: "arn:aws:iam::111122223333:role/weaver-MyTestSimulation-app-role",
 *     schemaS3Location: {
 *         bucketName: "weaver-mytestsimulation-111122223333-schemas-us-west-2",
 *         objectKey: "MyTestSimulation-schema.yaml",
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myTestSimulation = new aws_native.simspaceweaver.Simulation("myTestSimulation", {
 *     name: "MyTestSimulation_22-12-15_12_00_00",
 *     roleArn: "arn:aws:iam::111122223333:role/weaver-MyTestSimulation-app-role",
 *     schemaS3Location: {
 *         bucketName: "weaver-mytestsimulation-111122223333-artifacts-us-west-2",
 *         objectKey: "MyTestSimulation-schema.yaml",
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myTestSimulation = new aws_native.simspaceweaver.Simulation("myTestSimulation", {
 *     name: "MyTestSimulation_22-12-15_12_00_00",
 *     roleArn: "arn:aws:iam::111122223333:role/weaver-MyTestSimulation-app-role",
 *     schemaS3Location: {
 *         bucketName: "weaver-mytestsimulation-111122223333-artifacts-us-west-2",
 *         objectKey: "MyTestSimulation-schema.yaml",
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myTestSimulation = new aws_native.simspaceweaver.Simulation("myTestSimulation", {
 *     maximumDuration: "1H",
 *     name: "MyTestSimulation_22-12-15_12_00_00",
 *     roleArn: "arn:aws:iam::111122223333:role/weaver-MyTestSimulation-app-role",
 *     schemaS3Location: {
 *         bucketName: "weaver-mytestsimulation-111122223333-artifacts-us-west-2",
 *         objectKey: "MyTestSimulation-schema.yaml",
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myTestSimulation = new aws_native.simspaceweaver.Simulation("myTestSimulation", {
 *     maximumDuration: "1H",
 *     name: "MyTestSimulation_22-12-15_12_00_00",
 *     roleArn: "arn:aws:iam::111122223333:role/weaver-MyTestSimulation-app-role",
 *     schemaS3Location: {
 *         bucketName: "weaver-mytestsimulation-111122223333-artifacts-us-west-2",
 *         objectKey: "MyTestSimulation-schema.yaml",
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myTestSimulation = new aws_native.simspaceweaver.Simulation("myTestSimulation", {
 *     maximumDuration: "2D",
 *     name: "MyTestSimulation_from_snapshot",
 *     roleArn: "arn:aws:iam::111122223333:role/weaver-MyTestSimulation-app-role-copy",
 *     snapshotS3Location: {
 *         bucketName: "weaver-mytestsimulation-111122223333-artifacts-us-west-2",
 *         objectKey: "snapshot/MyTestSimulation_22-12-15_12_00_00-230428-1207-13.zip",
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myTestSimulation = new aws_native.simspaceweaver.Simulation("myTestSimulation", {
 *     maximumDuration: "2D",
 *     name: "MyTestSimulation_from_snapshot",
 *     roleArn: "arn:aws:iam::111122223333:role/weaver-MyTestSimulation-app-role-copy",
 *     snapshotS3Location: {
 *         bucketName: "weaver-mytestsimulation-111122223333-artifacts-us-west-2",
 *         objectKey: "snapshot/MyTestSimulation_22-12-15_12_00_00-230428-1207-13.zip",
 *     },
 * });
 *
 * ```
 */
class Simulation extends pulumi.CustomResource {
    /**
     * Get an existing Simulation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Simulation(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Simulation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Simulation.__pulumiType;
    }
    /**
     * Create a Simulation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.roleArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'roleArn'");
            }
            resourceInputs["maximumDuration"] = args ? args.maximumDuration : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["roleArn"] = args ? args.roleArn : undefined;
            resourceInputs["schemaS3Location"] = args ? args.schemaS3Location : undefined;
            resourceInputs["snapshotS3Location"] = args ? args.snapshotS3Location : undefined;
            resourceInputs["describePayload"] = undefined /*out*/;
        }
        else {
            resourceInputs["describePayload"] = undefined /*out*/;
            resourceInputs["maximumDuration"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["roleArn"] = undefined /*out*/;
            resourceInputs["schemaS3Location"] = undefined /*out*/;
            resourceInputs["snapshotS3Location"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["maximumDuration", "name", "roleArn", "schemaS3Location", "snapshotS3Location"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Simulation.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Simulation = Simulation;
/** @internal */
Simulation.__pulumiType = 'aws-native:simspaceweaver:Simulation';
//# sourceMappingURL=simulation.js.map