import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource type definition for AWS::SSMIncidents::ResponsePlan
 */
export declare function getResponsePlan(args: GetResponsePlanArgs, opts?: pulumi.InvokeOptions): Promise<GetResponsePlanResult>;
export interface GetResponsePlanArgs {
    /**
     * The ARN of the response plan.
     */
    arn: string;
}
export interface GetResponsePlanResult {
    /**
     * The list of actions.
     */
    readonly actions?: outputs.ssmincidents.ResponsePlanAction[];
    /**
     * The ARN of the response plan.
     */
    readonly arn?: string;
    /**
     * The  chat channel used for collaboration during an incident.
     */
    readonly chatChannel?: outputs.ssmincidents.ResponsePlanChatChannel;
    /**
     * The display name of the response plan.
     */
    readonly displayName?: string;
    /**
     * The list of engagements to use.
     */
    readonly engagements?: string[];
    /**
     * Details used to create an incident when using this response plan.
     */
    readonly incidentTemplate?: outputs.ssmincidents.ResponsePlanIncidentTemplate;
    /**
     * The list of integrations.
     */
    readonly integrations?: outputs.ssmincidents.ResponsePlanIntegration[];
    /**
     * The tags to apply to the response plan.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource type definition for AWS::SSMIncidents::ResponsePlan
 */
export declare function getResponsePlanOutput(args: GetResponsePlanOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResponsePlanResult>;
export interface GetResponsePlanOutputArgs {
    /**
     * The ARN of the response plan.
     */
    arn: pulumi.Input<string>;
}
