import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for SSO InstanceAccessControlAttributeConfiguration
 */
export declare function getInstanceAccessControlAttributeConfiguration(args: GetInstanceAccessControlAttributeConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetInstanceAccessControlAttributeConfigurationResult>;
export interface GetInstanceAccessControlAttributeConfigurationArgs {
    /**
     * The ARN of the AWS SSO instance under which the operation will be executed.
     */
    instanceArn: string;
}
export interface GetInstanceAccessControlAttributeConfigurationResult {
    /**
     * Lists the attributes that are configured for ABAC in the specified IAM Identity Center instance.
     */
    readonly accessControlAttributes?: outputs.sso.InstanceAccessControlAttributeConfigurationAccessControlAttribute[];
    /**
     * The InstanceAccessControlAttributeConfiguration property has been deprecated but is still supported for backwards compatibility purposes. We recomend that you use  AccessControlAttributes property instead.
     */
    readonly instanceAccessControlAttributeConfiguration?: outputs.sso.InstanceAccessControlAttributeConfigurationProperties;
}
/**
 * Resource Type definition for SSO InstanceAccessControlAttributeConfiguration
 */
export declare function getInstanceAccessControlAttributeConfigurationOutput(args: GetInstanceAccessControlAttributeConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetInstanceAccessControlAttributeConfigurationResult>;
export interface GetInstanceAccessControlAttributeConfigurationOutputArgs {
    /**
     * The ARN of the AWS SSO instance under which the operation will be executed.
     */
    instanceArn: pulumi.Input<string>;
}
