import * as pulumi from "@pulumi/pulumi";
/**
 * Resource schema for StateMachineVersion
 */
export declare function getStateMachineVersion(args: GetStateMachineVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetStateMachineVersionResult>;
export interface GetStateMachineVersionArgs {
    /**
     * Returns the ARN of the state machine version. For example, `arn:aws:states:us-east-1:123456789012:stateMachine:myStateMachine:1` .
     */
    arn: string;
}
export interface GetStateMachineVersionResult {
    /**
     * Returns the ARN of the state machine version. For example, `arn:aws:states:us-east-1:123456789012:stateMachine:myStateMachine:1` .
     */
    readonly arn?: string;
}
/**
 * Resource schema for StateMachineVersion
 */
export declare function getStateMachineVersionOutput(args: GetStateMachineVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetStateMachineVersionResult>;
export interface GetStateMachineVersionOutputArgs {
    /**
     * Returns the ARN of the state machine version. For example, `arn:aws:states:us-east-1:123456789012:stateMachine:myStateMachine:1` .
     */
    arn: pulumi.Input<string>;
}
