import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Synthetics::Group
 */
export declare function getGroup(args: GetGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetGroupResult>;
export interface GetGroupArgs {
    /**
     * Name of the group.
     */
    name: string;
}
export interface GetGroupResult {
    /**
     * Id of the group.
     */
    readonly id?: string;
    /**
     * The ARNs of the canaries that you want to associate with this group.
     */
    readonly resourceArns?: string[];
    /**
     * The list of key-value pairs that are associated with the group.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::Synthetics::Group
 */
export declare function getGroupOutput(args: GetGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetGroupResult>;
export interface GetGroupOutputArgs {
    /**
     * Name of the group.
     */
    name: pulumi.Input<string>;
}
