export declare const ConfigBandwidthUnits: {
    readonly GHz: "GHz";
    readonly MHz: "MHz";
    readonly KHz: "kHz";
};
export type ConfigBandwidthUnits = (typeof ConfigBandwidthUnits)[keyof typeof ConfigBandwidthUnits];
export declare const ConfigEirpUnits: {
    readonly Dbw: "dBW";
};
export type ConfigEirpUnits = (typeof ConfigEirpUnits)[keyof typeof ConfigEirpUnits];
export declare const ConfigFrequencyUnits: {
    readonly GHz: "GHz";
    readonly MHz: "MHz";
    readonly KHz: "kHz";
};
export type ConfigFrequencyUnits = (typeof ConfigFrequencyUnits)[keyof typeof ConfigFrequencyUnits];
export declare const ConfigPolarization: {
    readonly LeftHand: "LEFT_HAND";
    readonly RightHand: "RIGHT_HAND";
    readonly None: "NONE";
};
export type ConfigPolarization = (typeof ConfigPolarization)[keyof typeof ConfigPolarization];
export declare const ConfigTrackingConfigAutotrack: {
    readonly Required: "REQUIRED";
    readonly Preferred: "PREFERRED";
    readonly Removed: "REMOVED";
};
/**
 * Specifies whether or not to use autotrack. `REMOVED` specifies that program track should only be used during the contact. `PREFERRED` specifies that autotracking is preferred during the contact but fallback to program track if the signal is lost. `REQUIRED` specifies that autotracking is required during the contact and not to use program track if the signal is lost.
 */
export type ConfigTrackingConfigAutotrack = (typeof ConfigTrackingConfigAutotrack)[keyof typeof ConfigTrackingConfigAutotrack];
export declare const DataflowEndpointGroupAgentStatus: {
    readonly Success: "SUCCESS";
    readonly Failed: "FAILED";
    readonly Active: "ACTIVE";
    readonly Inactive: "INACTIVE";
};
/**
 * The status of AgentEndpoint.
 */
export type DataflowEndpointGroupAgentStatus = (typeof DataflowEndpointGroupAgentStatus)[keyof typeof DataflowEndpointGroupAgentStatus];
export declare const DataflowEndpointGroupAuditResults: {
    readonly Healthy: "HEALTHY";
    readonly Unhealthy: "UNHEALTHY";
};
/**
 * The results of the audit.
 */
export type DataflowEndpointGroupAuditResults = (typeof DataflowEndpointGroupAuditResults)[keyof typeof DataflowEndpointGroupAuditResults];
