export declare const EventSubscriptionEventCategoriesItem: {
    readonly Configuration: "configuration";
    readonly Management: "management";
    readonly Monitoring: "monitoring";
    readonly Security: "security";
    readonly Pending: "pending";
};
export type EventSubscriptionEventCategoriesItem = (typeof EventSubscriptionEventCategoriesItem)[keyof typeof EventSubscriptionEventCategoriesItem];
export declare const EventSubscriptionSeverity: {
    readonly Error: "ERROR";
    readonly Info: "INFO";
};
/**
 * Specifies the Amazon Redshift event severity to be published by the event notification subscription.
 */
export type EventSubscriptionSeverity = (typeof EventSubscriptionSeverity)[keyof typeof EventSubscriptionSeverity];
export declare const EventSubscriptionSourceType: {
    readonly Cluster: "cluster";
    readonly ClusterParameterGroup: "cluster-parameter-group";
    readonly ClusterSecurityGroup: "cluster-security-group";
    readonly ClusterSnapshot: "cluster-snapshot";
    readonly ScheduledAction: "scheduled-action";
};
/**
 * The type of source that will be generating the events.
 */
export type EventSubscriptionSourceType = (typeof EventSubscriptionSourceType)[keyof typeof EventSubscriptionSourceType];
export declare const EventSubscriptionStatus: {
    readonly Active: "active";
    readonly NoPermission: "no-permission";
    readonly TopicNotExist: "topic-not-exist";
};
/**
 * The status of the Amazon Redshift event notification subscription.
 */
export type EventSubscriptionStatus = (typeof EventSubscriptionStatus)[keyof typeof EventSubscriptionStatus];
export declare const ScheduledActionState: {
    readonly Active: "ACTIVE";
    readonly Disabled: "DISABLED";
};
/**
 * The state of the scheduled action.
 */
export type ScheduledActionState = (typeof ScheduledActionState)[keyof typeof ScheduledActionState];
