export declare const AppAssessmentSchedule: {
    readonly Disabled: "Disabled";
    readonly Daily: "Daily";
};
/**
 * Assessment execution schedule.
 */
export type AppAssessmentSchedule = (typeof AppAssessmentSchedule)[keyof typeof AppAssessmentSchedule];
export declare const AppDriftStatus: {
    readonly NotChecked: "NotChecked";
    readonly NotDetected: "NotDetected";
    readonly Detected: "Detected";
};
/**
 * Indicates if compliance drifts (deviations) were detected while running an assessment for your application.
 */
export type AppDriftStatus = (typeof AppDriftStatus)[keyof typeof AppDriftStatus];
export declare const AppEventSubscriptionEventType: {
    readonly ScheduledAssessmentFailure: "ScheduledAssessmentFailure";
    readonly DriftDetected: "DriftDetected";
};
/**
 * The type of event you would like to subscribe and get notification for.
 */
export type AppEventSubscriptionEventType = (typeof AppEventSubscriptionEventType)[keyof typeof AppEventSubscriptionEventType];
export declare const AppPermissionModelType: {
    readonly LegacyIamUser: "LegacyIAMUser";
    readonly RoleBased: "RoleBased";
};
/**
 * Defines how AWS Resilience Hub scans your resources. It can scan for the resources by using a pre-existing role in your AWS account, or by using the credentials of the current IAM user.
 */
export type AppPermissionModelType = (typeof AppPermissionModelType)[keyof typeof AppPermissionModelType];
export declare const ResiliencyPolicyDataLocationConstraint: {
    readonly AnyLocation: "AnyLocation";
    readonly SameContinent: "SameContinent";
    readonly SameCountry: "SameCountry";
};
/**
 * Data Location Constraint of the Policy.
 */
export type ResiliencyPolicyDataLocationConstraint = (typeof ResiliencyPolicyDataLocationConstraint)[keyof typeof ResiliencyPolicyDataLocationConstraint];
export declare const ResiliencyPolicyTier: {
    readonly MissionCritical: "MissionCritical";
    readonly Critical: "Critical";
    readonly Important: "Important";
    readonly CoreServices: "CoreServices";
    readonly NonCritical: "NonCritical";
};
/**
 * Resiliency Policy Tier.
 */
export type ResiliencyPolicyTier = (typeof ResiliencyPolicyTier)[keyof typeof ResiliencyPolicyTier];
